[Gc] compiliation error, gcc4.1.1

Boehm, Hans hans.boehm at hp.com
Mon Jun 19 13:31:53 PDT 2006


Thanks.

However, I believe this patch is already in in all current versions, including 6.7.  I changed gc.tar.gz to be a copy of 6.7, which I should have done a while ago.

Hans

> -----Original Message-----
> From: gc-bounces at napali.hpl.hp.com 
> [mailto:gc-bounces at napali.hpl.hp.com] On Behalf Of "Daniel Schüle"
> Sent: Friday, June 09, 2006 11:48 AM
> To: gc at napali.hpl.hp.com
> Subject: [Gc] compiliation error, gcc4.1.1
> 
> Hello,
> 
> I want to submit a patch for include/gc_cpp.h in gc.tar.gz
> 
> diff gc_cpp.h orig_gc_cpp.h
> 
> 183c183
> <       inline void operator delete[]( void*, void* );
> ---
> >       inline void gc::operator delete[]( void*, void* )
> 
> newer gcc (from 3.4) rightly don't accept gc:: in class declaration
> 
> Regards, Daniel
> _______________________________________________
> Gc mailing list
> Gc at linux.hpl.hp.com
> http://www.hpl.hp.com/hosted/linux/mail-archives/gc/
> 



More information about the Gc mailing list